Index: branches/DataAnalysis.IslandAlgorithms/HeuristicLab.Algorithms.DataAnalysis.Symbolic/3.3/SymbolicDataAnalysisIslandGeneticAlgorithm.cs
===================================================================
--- branches/DataAnalysis.IslandAlgorithms/HeuristicLab.Algorithms.DataAnalysis.Symbolic/3.3/SymbolicDataAnalysisIslandGeneticAlgorithm.cs	(revision 10579)
+++ branches/DataAnalysis.IslandAlgorithms/HeuristicLab.Algorithms.DataAnalysis.Symbolic/3.3/SymbolicDataAnalysisIslandGeneticAlgorithm.cs	(revision 10591)
@@ -120,7 +120,6 @@
       insertionPoint.Successor = islandIndexAssigner;
 
-      //RandomCreator insertionPoint = OperatorGraph.Iterate().OfType<RandomCreator>().Skip(1).First();
-      //fixedSamplesPartitionCreator.Successor = insertionPoint.Successor;
-      //insertionPoint.Successor = fixedSamplesPartitionCreator;
+      ReevaluateImmigrants = true;
+      ReevaluteElites = true;
 
       RegisterParameterEvents();
Index: branches/DataAnalysis.IslandAlgorithms/HeuristicLab.Algorithms.DataAnalysis.Symbolic/3.3/SymbolicDataAnalysisIslandOffspringSelectionGeneticAlgorithm.cs
===================================================================
--- branches/DataAnalysis.IslandAlgorithms/HeuristicLab.Algorithms.DataAnalysis.Symbolic/3.3/SymbolicDataAnalysisIslandOffspringSelectionGeneticAlgorithm.cs	(revision 10579)
+++ branches/DataAnalysis.IslandAlgorithms/HeuristicLab.Algorithms.DataAnalysis.Symbolic/3.3/SymbolicDataAnalysisIslandOffspringSelectionGeneticAlgorithm.cs	(revision 10591)
@@ -120,4 +120,7 @@
       insertionPoint.Successor = islandIndexAssigner;
 
+      ReevaluateImmigrants = true;
+      ReevaluteElites = true;
+
       RegisterParameterEvents();
       RecalculateFixedSamplesPartitions();
Index: branches/DataAnalysis.IslandAlgorithms/HeuristicLab.Algorithms.GeneticAlgorithm/3.3/IslandGeneticAlgorithmMainLoop.cs
===================================================================
--- branches/DataAnalysis.IslandAlgorithms/HeuristicLab.Algorithms.GeneticAlgorithm/3.3/IslandGeneticAlgorithmMainLoop.cs	(revision 10579)
+++ branches/DataAnalysis.IslandAlgorithms/HeuristicLab.Algorithms.GeneticAlgorithm/3.3/IslandGeneticAlgorithmMainLoop.cs	(revision 10591)
@@ -123,6 +123,6 @@
     }
 
-    public ValueLookupParameter<BoolValue> ReevaluateImmigrants {
-      get { return (ValueLookupParameter<BoolValue>)Parameters["ReevaluateImmigrants"]; }
+    public ValueLookupParameter<BoolValue> ReevaluateIndividualsAfterMigration {
+      get { return (ValueLookupParameter<BoolValue>)Parameters["ReevaluateIndividualsAfterMigration"]; }
     }
     #endregion
@@ -167,5 +167,5 @@
       Parameters.Add(new ValueLookupParameter<BoolValue>("Migrate", "Migrate the island?"));
       Parameters.Add(new LookupParameter<BoolValue>("RunAnalysis", "Run Analyzers?"));
-      Parameters.Add(new ValueLookupParameter<BoolValue>("ReevaluateImmigrants", "Flag which indicates if inviduals should be reevaluated before they are immigrated."));
+      Parameters.Add(new ValueLookupParameter<BoolValue>("ReevaluateIndividualsAfterMigration", "Flag which indicates if inviduals should be reevaluated after migration."));
       #endregion
 
@@ -217,5 +217,5 @@
       Assigner evaluatedSolutionsAssigner2 = new Assigner();
       UniformSubScopesProcessor uniformSubScopesProcessor6 = new UniformSubScopesProcessor();
-      SubScopesProcessor subScopesProcessor3 = new SubScopesProcessor();
+      UniformSubScopesProcessor uniformSubScopesProcessor8 = new UniformSubScopesProcessor();
       DataReducer evaluatedSolutionsReducer2 = new DataReducer();
       UniformSubScopesProcessor uniformSubScopesProcessor7 = new UniformSubScopesProcessor();
@@ -457,8 +457,8 @@
       uniformSubScopesProcessor6.Successor = evaluatedSolutionsReducer2;
       uniformSubScopesProcessor6.Operator = evaluatedSolutionsAssigner2;
+      evaluatedSolutionsAssigner2.Successor = uniformSubScopesProcessor8;
+      uniformSubScopesProcessor8.Operator = uniformSubScopesProcessor3;
+      uniformSubScopesProcessor8.Successor = null;
       evaluatedSolutionsReducer2.Successor = null;
-      evaluatedSolutionsAssigner2.Successor = subScopesProcessor3;
-      subScopesProcessor3.Operators.Add(new EmptyOperator());
-      subScopesProcessor3.Operators.Add(uniformSubScopesProcessor3);
       uniformSubScopesProcessor7.Operator = immigrationReplacer;
       uniformSubScopesProcessor7.Successor = generationsComparator;
Index: branches/DataAnalysis.IslandAlgorithms/HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm/3.3/IslandOffspringSelectionGeneticAlgorithmMainLoop.cs
===================================================================
--- branches/DataAnalysis.IslandAlgorithms/HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm/3.3/IslandOffspringSelectionGeneticAlgorithmMainLoop.cs	(revision 10579)
+++ branches/DataAnalysis.IslandAlgorithms/HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm/3.3/IslandOffspringSelectionGeneticAlgorithmMainLoop.cs	(revision 10591)
@@ -130,6 +130,6 @@
       get { return (LookupParameter<IntValue>)Parameters["EvaluatedSolutions"]; }
     }
-    public ValueLookupParameter<BoolValue> ReevaluateImmigrants {
-      get { return (ValueLookupParameter<BoolValue>)Parameters["ReevaluateImmigrants"]; }
+    public ValueLookupParameter<BoolValue> ReevaluateIndividualsAfterMigration {
+      get { return (ValueLookupParameter<BoolValue>)Parameters["ReevaluateIndividualsAfterMigration"]; }
     }
     #endregion
@@ -177,5 +177,5 @@
       Parameters.Add(new ValueLookupParameter<IOperator>("IslandAnalyzer", "The operator used to analyze each island."));
       Parameters.Add(new LookupParameter<IntValue>("EvaluatedSolutions", "The number of times solutions have been evaluated."));
-      Parameters.Add(new ValueLookupParameter<BoolValue>("ReevaluateImmigrants", "Flag which indicates if inviduals should be reevaluated before they are immigrated."));
+      Parameters.Add(new ValueLookupParameter<BoolValue>("ReevaluateIndividualsAfterMigration", "Flag which indicates if inviduals should be reevaluated after migration."));
       #endregion
 
@@ -422,5 +422,5 @@
       reevaluateImmigrantsBranch.TrueBranch = uniformSubScopesProcessor3;
       uniformSubScopesProcessor3.Operator = subScopesProcessor;
-      subScopesProcessor.Operators.Add(new EmptyOperator());
+      subScopesProcessor.Operators.Add(uniformSubScopesProcessor4);
       subScopesProcessor.Operators.Add(uniformSubScopesProcessor4);
       uniformSubScopesProcessor4.Operator = evaluator;