Index: /branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.3/DataPreprocessingView.cs
===================================================================
--- /branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.3/DataPreprocessingView.cs	(revision 10616)
+++ /branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.3/DataPreprocessingView.cs	(revision 10617)
@@ -37,7 +37,5 @@
     public new IPreprocessingContext Content {
       get { return (IPreprocessingContext)base.Content; }
-      set {
-        base.Content = value;
-      }
+      set { base.Content = value; }
     }
 
@@ -45,5 +43,22 @@
       base.OnContentChanged();
       if (Content != null) {
-        viewShortcutCollectionView.Content = Content.ViewShortcuts;
+        var data = Content.Data;
+        var searchLogic = new SearchLogic(data);
+        var dataGridLogic = new DataGridLogic(data);
+        var statisticsLogic = new StatisticsLogic(data, searchLogic);
+        var manipulationLogic = new ManipulationLogic(data, searchLogic, statisticsLogic);
+        var transformationLogic = new TransformationLogic(data, searchLogic, statisticsLogic);
+        var lineChartLogic = new LineChartLogic(data);
+        var histogramLogic = new HistogramLogic(data);
+        var filterLogic = new FilterLogic();
+
+        viewShortcutCollectionView.Content = new ViewShortcutCollection {
+          new DataGridContent(dataGridLogic, manipulationLogic),
+          new StatisticsContent(statisticsLogic),
+          new FilterContent(filterLogic),
+          new TransformationContent(transformationLogic),
+          new LineChartContent(lineChartLogic),
+          new HistogramContent(histogramLogic)
+        };
       } else {
         viewShortcutCollectionView.Content = null;
Index: /branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Implementations/PreprocessingContext.cs
===================================================================
--- /branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Implementations/PreprocessingContext.cs	(revision 10616)
+++ /branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Implementations/PreprocessingContext.cs	(revision 10617)
@@ -33,6 +33,4 @@
     public ITransactionalPreprocessingData Data { get; private set; }
 
-    public ViewShortcutCollection ViewShortcuts { get; private set; }
-
     public IDataAnalysisProblemData DataAnalysisProblemData { get; private set; }
 
@@ -46,22 +44,4 @@
       Algorithm = algorithm;
       Problem = problem;
-
-      var searchLogic = new SearchLogic(Data);
-      var dataGridLogic = new DataGridLogic(Data);
-      var statisticsLogic = new StatisticsLogic(Data, searchLogic);
-      var manipulationLogic = new ManipulationLogic(Data, searchLogic, statisticsLogic);
-      var transformationLogic = new TransformationLogic(Data, searchLogic, statisticsLogic);
-      var lineChartLogic = new LineChartLogic(Data);
-      var histogramLogic = new HistogramLogic(Data);
-      var filterLogic = new FilterLogic();
-
-      ViewShortcuts = new ViewShortcutCollection {
-        new DataGridContent(dataGridLogic, manipulationLogic),
-        new StatisticsContent(statisticsLogic),
-        new FilterContent(filterLogic),
-        new TransformationContent(transformationLogic),
-        new LineChartContent(lineChartLogic),
-        new HistogramContent(histogramLogic)
-      };
     }
 
Index: /branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Interfaces/IPreprocessingContext.cs
===================================================================
--- /branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Interfaces/IPreprocessingContext.cs	(revision 10616)
+++ /branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Interfaces/IPreprocessingContext.cs	(revision 10617)
@@ -31,6 +31,4 @@
     ITransactionalPreprocessingData Data { get; }
 
-    ViewShortcutCollection ViewShortcuts { get; }
-
     [Obsolete]
     IDataAnalysisProblemData DataAnalysisProblemData { get; }