Index: branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.3/DataPreprocessingView.cs
===================================================================
--- branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.3/DataPreprocessingView.cs	(revision 10624)
+++ branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.3/DataPreprocessingView.cs	(revision 10625)
@@ -23,4 +23,5 @@
 using System.Windows.Forms;
 using HeuristicLab.Common;
+using HeuristicLab.Core;
 using HeuristicLab.Core.Views;
 using HeuristicLab.MainForm;
@@ -53,5 +54,5 @@
         var filterLogic = new FilterLogic(data);
 
-        viewShortcutCollectionView.Content = new ViewShortcutCollection {
+        var viewShortcuts = new ItemCollection<IViewShortcut>() {
           new DataGridContent(dataGridLogic, manipulationLogic),
           new StatisticsContent(statisticsLogic),
@@ -61,4 +62,6 @@
           new HistogramContent(histogramLogic)
         };
+
+        viewShortcutCollectionView.Content = viewShortcuts.AsReadOnly();
       } else {
         viewShortcutCollectionView.Content = null;
Index: branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.3/DataPreprocessingView.designer.cs
===================================================================
--- branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.3/DataPreprocessingView.designer.cs	(revision 10624)
+++ branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.3/DataPreprocessingView.designer.cs	(revision 10625)
@@ -96,5 +96,5 @@
       this.viewShortcutCollectionView.Location = new System.Drawing.Point(4, 33);
       this.viewShortcutCollectionView.Name = "viewShortcutCollectionView";
-      this.viewShortcutCollectionView.ReadOnly = true;
+      this.viewShortcutCollectionView.ReadOnly = false;
       this.viewShortcutCollectionView.ShowDetails = true;
       this.viewShortcutCollectionView.Size = new System.Drawing.Size(831, 413);
Index: branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.3/ViewShortcutCollectionView.cs
===================================================================
--- branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.3/ViewShortcutCollectionView.cs	(revision 10624)
+++ branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.3/ViewShortcutCollectionView.cs	(revision 10625)
@@ -21,4 +21,5 @@
 
 
+using HeuristicLab.Core;
 using HeuristicLab.Core.Views;
 using HeuristicLab.MainForm;
@@ -26,5 +27,5 @@
 namespace HeuristicLab.DataPreprocessing.Views {
   [View("ViewShortcutCollection View")]
-  [Content(typeof(ViewShortcutCollection), true)]
+  [Content(typeof(IItemCollection<IViewShortcut>), true)]
   public partial class ViewShortcutCollectionView : ItemCollectionView<IViewShortcut> {
 
Index: branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/HeuristicLab.DataPreprocessing-3.3.csproj
===================================================================
--- branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/HeuristicLab.DataPreprocessing-3.3.csproj	(revision 10624)
+++ branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/HeuristicLab.DataPreprocessing-3.3.csproj	(revision 10625)
@@ -78,5 +78,4 @@
     <Compile Include="Implementations\ManipulationLogic.cs" />
     <Compile Include="Interfaces\IPreprocessingData.cs" />
-    <Compile Include="Implementations\ViewShortcutCollection.cs" />
     <Compile Include="Interfaces\IDataGridLogic.cs" />
     <Compile Include="Implementations\FilterContent.cs" />
Index: branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Implementations/DataGridContent.cs
===================================================================
--- branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Implementations/DataGridContent.cs	(revision 10624)
+++ branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Implementations/DataGridContent.cs	(revision 10625)
@@ -123,5 +123,5 @@
     }
 
-    public bool SetValue(string value,int columnIndex,int rowIndex) {
+    public bool SetValue(string value, int columnIndex, int rowIndex) {
       return dataGridLogic.SetValue(value, columnIndex, rowIndex);
     }
Index: branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Implementations/ViewShortcutCollection.cs
===================================================================
--- branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Implementations/ViewShortcutCollection.cs	(revision 10624)
+++ 	(revision )
@@ -1,37 +1,0 @@
-﻿#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-using System.Collections.Generic;
-using HeuristicLab.Common;
-using HeuristicLab.Core;
-
-namespace HeuristicLab.DataPreprocessing {
-  [Item("ViewShortcutCollection", "Represents a collection of ViewShortcuts.")]
-  public class ViewShortcutCollection : ItemCollection<IViewShortcut> {
-
-    protected ViewShortcutCollection(ViewShortcutCollection original, Cloner cloner) : base(original, cloner) { }
-    public ViewShortcutCollection() : base() { }
-    public ViewShortcutCollection(int capacity) : base(capacity) { }
-    public ViewShortcutCollection(IEnumerable<IViewShortcut> collection) : base(collection) { }
-
-    public override IDeepCloneable Clone(Cloner cloner) { return new ViewShortcutCollection(this, cloner); }
-  }
-}