Index: branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.3/FindAndReplaceDialog.Designer.cs
===================================================================
--- branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.3/FindAndReplaceDialog.Designer.cs	(revision 10630)
+++ branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.3/FindAndReplaceDialog.Designer.cs	(revision 10630)
@@ -0,0 +1,130 @@
+﻿namespace HeuristicLab.DataPreprocessing.Views {
+  partial class FindAndReplaceDialog {
+    /// <summary>
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary>
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing && (components != null)) {
+        components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Windows Form Designer generated code
+
+    /// <summary>
+    /// Required method for Designer support - do not modify
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      this.tabControl1 = new System.Windows.Forms.TabControl();
+      this.tabPage1 = new System.Windows.Forms.TabPage();
+      this.txtSearchString = new System.Windows.Forms.TextBox();
+      this.lblSearch = new System.Windows.Forms.Label();
+      this.btnFindAll = new System.Windows.Forms.Button();
+      this.btnFindNext = new System.Windows.Forms.Button();
+      this.tabPage2 = new System.Windows.Forms.TabPage();
+      this.tabControl1.SuspendLayout();
+      this.tabPage1.SuspendLayout();
+      this.SuspendLayout();
+      // 
+      // tabControl1
+      // 
+      this.tabControl1.Controls.Add(this.tabPage1);
+      this.tabControl1.Controls.Add(this.tabPage2);
+      this.tabControl1.Location = new System.Drawing.Point(12, 12);
+      this.tabControl1.Name = "tabControl1";
+      this.tabControl1.SelectedIndex = 0;
+      this.tabControl1.Size = new System.Drawing.Size(511, 174);
+      this.tabControl1.TabIndex = 0;
+      // 
+      // tabPage1
+      // 
+      this.tabPage1.Controls.Add(this.txtSearchString);
+      this.tabPage1.Controls.Add(this.lblSearch);
+      this.tabPage1.Controls.Add(this.btnFindAll);
+      this.tabPage1.Controls.Add(this.btnFindNext);
+      this.tabPage1.Location = new System.Drawing.Point(4, 22);
+      this.tabPage1.Name = "tabPage1";
+      this.tabPage1.Padding = new System.Windows.Forms.Padding(3);
+      this.tabPage1.Size = new System.Drawing.Size(503, 148);
+      this.tabPage1.TabIndex = 0;
+      this.tabPage1.Text = "Search";
+      this.tabPage1.UseVisualStyleBackColor = true;
+      // 
+      // txtSearchString
+      // 
+      this.txtSearchString.Location = new System.Drawing.Point(97, 27);
+      this.txtSearchString.Name = "txtSearchString";
+      this.txtSearchString.Size = new System.Drawing.Size(254, 20);
+      this.txtSearchString.TabIndex = 3;
+      // 
+      // lblSearch
+      // 
+      this.lblSearch.AutoSize = true;
+      this.lblSearch.Location = new System.Drawing.Point(32, 30);
+      this.lblSearch.Name = "lblSearch";
+      this.lblSearch.Size = new System.Drawing.Size(59, 13);
+      this.lblSearch.TabIndex = 2;
+      this.lblSearch.Text = "Search for:";
+      // 
+      // btnFindAll
+      // 
+      this.btnFindAll.Location = new System.Drawing.Point(360, 96);
+      this.btnFindAll.Name = "btnFindAll";
+      this.btnFindAll.Size = new System.Drawing.Size(75, 23);
+      this.btnFindAll.TabIndex = 1;
+      this.btnFindAll.Text = "Find All";
+      this.btnFindAll.UseVisualStyleBackColor = true;
+      // 
+      // btnFindNext
+      // 
+      this.btnFindNext.Location = new System.Drawing.Point(360, 67);
+      this.btnFindNext.Name = "btnFindNext";
+      this.btnFindNext.Size = new System.Drawing.Size(75, 23);
+      this.btnFindNext.TabIndex = 0;
+      this.btnFindNext.Text = "Find Next";
+      this.btnFindNext.UseVisualStyleBackColor = true;
+      // 
+      // tabPage2
+      // 
+      this.tabPage2.Location = new System.Drawing.Point(4, 22);
+      this.tabPage2.Name = "tabPage2";
+      this.tabPage2.Padding = new System.Windows.Forms.Padding(3);
+      this.tabPage2.Size = new System.Drawing.Size(503, 148);
+      this.tabPage2.TabIndex = 1;
+      this.tabPage2.Text = "Replace";
+      this.tabPage2.UseVisualStyleBackColor = true;
+      // 
+      // FindAndReplaceDialog
+      // 
+      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.ClientSize = new System.Drawing.Size(532, 197);
+      this.Controls.Add(this.tabControl1);
+      this.Name = "FindAndReplaceDialog";
+      this.Text = "FindAndReplaceDialog";
+      this.tabControl1.ResumeLayout(false);
+      this.tabPage1.ResumeLayout(false);
+      this.tabPage1.PerformLayout();
+      this.ResumeLayout(false);
+
+    }
+
+    #endregion
+
+    private System.Windows.Forms.TabControl tabControl1;
+    private System.Windows.Forms.TabPage tabPage1;
+    private System.Windows.Forms.TabPage tabPage2;
+    private System.Windows.Forms.Button btnFindAll;
+    private System.Windows.Forms.Button btnFindNext;
+    private System.Windows.Forms.TextBox txtSearchString;
+    private System.Windows.Forms.Label lblSearch;
+  }
+}
Index: branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.3/FindAndReplaceDialog.cs
===================================================================
--- branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.3/FindAndReplaceDialog.cs	(revision 10630)
+++ branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.3/FindAndReplaceDialog.cs	(revision 10630)
@@ -0,0 +1,27 @@
+﻿using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Data;
+using System.Drawing;
+using System.Linq;
+using System.Text;
+using System.Windows.Forms;
+
+namespace HeuristicLab.DataPreprocessing.Views {
+  public partial class FindAndReplaceDialog : Form {
+    public FindAndReplaceDialog() {
+      InitializeComponent();
+    }
+
+    private void tabControl1_SelectedIndexChanged(object sender, System.EventArgs e) {
+      if (sender is TabControl) {
+        TabControl tc = (TabControl)sender;
+        tc.SelectedTab.Controls.Add(btnFindAll);
+        tc.SelectedTab.Controls.Add(btnFindNext);
+        tc.SelectedTab.Controls.Add(lblSearch);
+        tc.SelectedTab.Controls.Add(txtSearchString);
+      }
+    }
+
+  }
+}
Index: branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.3/HeuristicLab.DataPreprocessing.Views-3.3.csproj
===================================================================
--- branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.3/HeuristicLab.DataPreprocessing.Views-3.3.csproj	(revision 10629)
+++ branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.3/HeuristicLab.DataPreprocessing.Views-3.3.csproj	(revision 10630)
@@ -84,4 +84,10 @@
       <DependentUpon>FilterView.cs</DependentUpon>
     </Compile>
+    <Compile Include="FindAndReplaceDialog.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="FindAndReplaceDialog.Designer.cs">
+      <DependentUpon>FindAndReplaceDialog.cs</DependentUpon>
+    </Compile>
     <Compile Include="HistogramView.cs">
       <SubType>UserControl</SubType>
@@ -97,10 +103,4 @@
     </Compile>
     <Compile Include="Plugin.cs" />
-    <Compile Include="PreprocessingCheckedItemListView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="PreprocessingCheckedItemListView.Designer.cs">
-      <DependentUpon>PreprocessingCheckedItemListView.cs</DependentUpon>
-    </Compile>
     <Compile Include="PreprocessingDataTableView.cs">
       <SubType>UserControl</SubType>
@@ -213,4 +213,9 @@
       <Name>HeuristicLab.Visualization.ChartControlsExtensions-3.3</Name>
     </ProjectReference>
+  </ItemGroup>
+  <ItemGroup>
+    <EmbeddedResource Include="FindAndReplaceDialog.resx">
+      <DependentUpon>FindAndReplaceDialog.cs</DependentUpon>
+    </EmbeddedResource>
   </ItemGroup>
   <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />